package be.iminds.ilabt.jfed.experimenter_gui.util;

import javafx.stage.FileChooser;

/**
 * User: twalcari
 * Date: 7/2/2014
 * Time: 15:41
 */
public class FileUtils {
    public static final String EXPERIMENT_OUTPUT_FILE_EXTENSION = ".xpo";
    public static final FileChooser.ExtensionFilter OUTPUT_EXTENSION_FILTER =
            new FileChooser.ExtensionFilter("Experiment Output (*" + EXPERIMENT_OUTPUT_FILE_EXTENSION + ")",
                    "*" + EXPERIMENT_OUTPUT_FILE_EXTENSION);

    public static final String MANIFEST_RSPEC_EXTENSION = ".mrspec";
    public static final FileChooser.ExtensionFilter MANIFEST_RSPEC_EXTENSION_FILTER =
            new FileChooser.ExtensionFilter("Manifest RSpec (*" + MANIFEST_RSPEC_EXTENSION + ")",
                    "*" + MANIFEST_RSPEC_EXTENSION);

    public static final String CSV_EXTENSION = ".csv";
    public static final FileChooser.ExtensionFilter CSV_EXTENSION_FILTER =
            new FileChooser.ExtensionFilter("Comma-separated values (*" + CSV_EXTENSION + ")",
                    "*" + CSV_EXTENSION);

    public static final String EXPERIMENT_FILE_EXTENSION = ".rspec";
    public static final FileChooser.ExtensionFilter RSPEC_EXTENSION_FILTER =
            new FileChooser.ExtensionFilter("RSpec Experiment (*" + EXPERIMENT_FILE_EXTENSION + ")",
                    "*" + EXPERIMENT_FILE_EXTENSION);

    public static final String ALL_FILE_EXTENSION = ".*";
    public static final FileChooser.ExtensionFilter ALL_EXTENSION_FILTER =
            new FileChooser.ExtensionFilter("All types (*" + ALL_FILE_EXTENSION + ")",
                    "*" + ALL_FILE_EXTENSION);

    public static final String ZIP_FILE_EXTENSION = ".zip";
    public static final FileChooser.ExtensionFilter ZIP_EXTENSION_FILTER =
            new FileChooser.ExtensionFilter("ZIP Archive (*" + ZIP_FILE_EXTENSION + ")",
                    "*" + ZIP_FILE_EXTENSION);
}
